| [FrontPage] [TitleIndex] [WordIndex]

# WikiCourse/BasicIntroduction/180 Macros

# Macros

- Macros allow dynamic (computed) content to be inserted into pages.

- A macro is called by "`[[MacroName(parameters)]]`".

- The parameters are optional, depending on the macro.
- The most important macros:

  - `TableOfContents` - show a local table of contents

  - `Anchor` - defines a link target line

  - `FootNote` - generates a footnote1

  - `PageList` - generates lists of pages with titles matching a pattern

For details see HelpOnMacros.

- 1 Footnotes look like this.

2007-07-30 15:45